package fr.itsonus.bousoleplussbackend.infrastructure.postgres.repositories;

import fr.itsonus.bousoleplussbackend.domain.quiz.model.Axe;
import fr.itsonus.bousoleplussbackend.domain.quiz.spi.AxeCacheRepository;
import fr.itsonus.bousoleplussbackend.infrastructure.postgres.models.PostgresAxeDto;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

@Service
@AllArgsConstructor
public class AxeCacheProxyRepository implements AxeCacheRepository {
    private final AxeCachePostgresRepository axeCachePostgresRepository;

    public Iterable<Axe> findAll() {
        return axeCachePostgresRepository.findAll()
                .stream()
                .map(PostgresAxeDto::toAxe)
                .toList();
    }
}
