package fr.itsonus.bousoleplussbackend.payload.request;

import fr.itsonus.bousoleplussbackend.domain.auth.model.User;
import fr.itsonus.bousoleplussbackend.payload.validation.Password;
import jakarta.validation.constraints.Email;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

@Data
public class RegisterRequest {

    @NotBlank
    @Email
    private String email;

    @NotBlank
    @Length(min = 3, max = 20)
    private String username;

    @NotBlank
    @Password
    private String password;

    public User toUser() {
        return User.builder()
                .email(email)
                .username(username)
                .password(password)
                .build();
    }
}
